[package]
name = "media_splitter_worker"
version = "0.3.0"
authors = [
  "Valentin Noel <valentin.noel@media-io.com>",
  "Marc-Antoine Arnaud <maarnaud@media-io.com>",
  "Thibaud Le Graverend <thibaud.legraverend@luminvent.com>"
]
description = "This worker splits an audio/video media file into several segments. These segments are defined by a duration in milliseconds, and they can overlap."
repository = "https://gitlab.com/media-cloud-ai/workers/media/rs_media_splitter_worker"
edition = "2018"
license = "MIT"

[dependencies]
mcai_worker_sdk = "2.2"
schemars = "0.8.0"
serde = "^1.0"
serde_json = "^1.0"
serde_derive = "^1.0"
stainless_ffmpeg = "0.5"

[build-dependencies]
mcai_build = "0.2"
